Subject: [xml2rfc-dev] https://tools.ietf.org/html/draft-levkowetz-xml2rfc-v3-implementation-notes-10#section-3.1.21

From: Julian Reschke <[email-masked]>
Date: Thu, 31 Oct 2019 16:21:17 +0100

Re:
<https://tools.ietf.org/html/draft-levkowetz-xml2rfc-v3-implementation-notes-10#section-3.1.21>:

> 3.1.21.5.  Summary
>
>    The number of issues introduced with the move of the <seriesInfo>
>    element and its re-purposing in order to fill functionality in the
>    front of a document is wholly disproportionate with any added
>    functionality.  The specification [RFC7991] does not provide any
>    rationale for the changes, and there seems to be no major benefits to
>    the new schema.
>
>    Proposal:  Do a rewrite of this that does not add new details to the
>       already complex <seriesInfo> semantics, compared to the v2
>       vocabulary, and does not make non-IETF reference files obsolete,
>       but actually simplifies the model and use.
>
>       Limit the <seriesInfo> element to what is actually needed for use
>       within <reference/>, and do not add new functionality related to
>       the document <front>.  Deprecate any functionality not related to
>       usage within <reference/>.
>
>       The easiest approach would be to simply revert to the v2 semantics
>       and placement of <seriesInfo> elements, with documentation of
>       that.

I fully agree with this - we should go back to the definition in RFC
7749, and just add attribute to the rfc root element, if needed.

(This will likely also affect the preptool spec, like many other changes)

Best regards, Julian